{% set CodiceModulo = "RICH_CER_INT_ESTR" %}
{% set Urn = "document:c_g535:anagrafe.stato.civile;certificato.copia.integrale.estratto;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
	{ "codice":"DAE-CDI",
		"urn":"document:s_italia:generale;documento.identita;documentazione",
		"descrizione_tabella_allegati":"Documento di identità",
		"annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
		"descrizione_meta":"",
		"filename":"Documento identita",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
	}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di certificati, copie integrali ed estratti"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.1|26/04/2021"/>

<!-- Note Versioni
"1.0|25/11/2020"  originale
"1.1|26/04/2021"  Fabio Gamaleri: email Caccialanza 22-04-2021
-->

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
		<meta codice_allegato="{{ allegato['codice'] }}"
		urn_allegato="{{ allegato['urn'] }}"
		descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
		filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
		firmatari="{{ allegato['firmatari'] }}"
		firmatari_label="{{ allegato['firmatari_label'] }}"
		firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
		numero="{{ allegato['numero'] }}"
		dimensione_massima="{{ allegato['dimensione'] }}"
		obbligatorio="DINAMICO"
		tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>

{% endblock meta %}




<!---------------------------------------------------- SOGGETTO RIFERIMENTO SERVIZI DEMOGRAFICI  ------------------------------------------------->
{% macro soggetto_riferimento_servizi_demografici_FG( prefix='AventeTitolo', testo_altra_persona="riferito alla persona di seguito specificata", testo_persona="riferito alla propria persona", enabled="true", visibility_intestazione="visibility:visibility", titolo_richiedente = "false", altro_titolo="false" ) -%}

  <div type="soggetto_riferimento_servizi_demografici">
	  <input id="{{ prefix }}_Titolo" name="{{ prefix }}_Titolo" type="hidden" value="Soggetto interessato"/>
    <input id="{{ prefix }}_Ruolo"  name="{{ prefix }}_Ruolo"  type="hidden" value="Soggetto interessato"/>
	  <table class="Modulo" style="border:1px solid grey;margin-top:-1px; {{ visibility_intestazione }}">
      <tbody>
        <tr class="Rigaintestazioneridotta">
          <td colspan="5">
            <p class="Labelcella"> Soggetto interessato </p>
          </td>
        </tr>
      </tbody>
    </table>
    <table class="Modulo" style="border:1px solid grey;margin-top:-1px;">
      <tbody>
        <tr>
          <td style="width:3%" enabled="{{ enabled }}">
            <div id="Tassonomia_SoggettoInteressato" label="Soggetto interessato" mandatory="true"></div>
            <input id="Tassonomia_SoggettoInteressato1" name="Tassonomia_SoggettoInteressato" type="radio" value="1"/>
          </td>
          <td colspan="4">
            <p> {{ testo_persona|safe }} </p>
          </td>
        </tr>
        <tr>
          {% if titolo_richiedente == 'false'%}
            <td rowspan="5" style="vertical-align: top; width: 4%;background-color: white;">
          {% endif %}
          {% if titolo_richiedente == 'true'%}
            <td rowspan="7" style="vertical-align: top; width: 4%;background-color: white;">
          {% endif %}
              <input id="Tassonomia_SoggettoInteressato2" name="Tassonomia_SoggettoInteressato" type="radio" value="2"/>
            </td>
          <td colspan="4">
            <p> {{ testo_altra_persona|safe }} </p>
          </td>
        </tr>



        <!-- _FG_20210426 spostato sotto -->
        <!-- {% if titolo_richiedente == 'true'%}
          <tr class="Rigaintestazioneridotta">
            <td colspan="4">
              <p class="Labelcella"> In qualità di (*) </p>
            </td>
          </tr>
          <tr>
            <td colspan="4">
              <select class="inputNormal" id="{{ prefix }}_InQualita" name="{{ prefix }}_InQualita" style="width:100%;" label="Titolo richiedente" mandatory_enabled="#Tassonomia_SoggettoInteressato2.checked()">
                <option value="curatore">curatore</option>
                <option value="esercente responsabilità genitoriale">esercente responsabilità genitoriale</option>
                <option value="familiare">familiare</option>
                <option value="tutore legale">tutore legale</option>
                {% if altro_titolo == 'true'%}
                  <option value="altro titolo">altro titolo</option>
                {% endif %}
              </select>
            </td>
          </tr>
        {% endif %} -->



        <tr class="Rigaintestazioneridotta">
		      <td colspan="2">
            <p class="Labelcella"> Cognome </p>
          </td>
          <td style="width:30%">
            <p class="Labelcella"> Nome </p>
          </td>
          <td style="width:34%">
            <p class="Labelcella"> Codice Fiscale </p>
          </td>
        </tr>
        <tr mandatory_enabled="#Tassonomia_SoggettoInteressato2.checked()">
		   <td colspan="2">
            <input class="inputNormal" id="{{ prefix }}_Cognome" label="Cognome soggetto interessato" name="{{ prefix }}_Cognome" style="width:100%"/>
          </td>
          <td>
            <input class="inputNormal" id="{{ prefix }}_Nome" label="Nome soggetto interessato" name="{{ prefix }}_Nome" style="width:100%"/>
          </td>
          <td>
            <input class="inputNormal" format="cf" id="{{ prefix }}_CodiceFiscale" label="Codice Fiscale soggetto interessato" name="{{ prefix }}_CodiceFiscale" style="width:100%; "/>
          </td>
		</tr>
        <tr class="Rigaintestazioneridotta">
          <td style="width:18%;">
            <p class="Labelcella"> Data di nascita </p>
          </td>
          <td style="width:8%;">
            <p class="Labelcella"> Sesso </p>
          </td>
          <td>
            <p class="Labelcella"> Luogo di nascita </p>
          </td>				
          <td style="width: 34%;">
            <p class="Labelcella"> Cittadinanza </p>
          </td>
        </tr>
        <tr mandatory_enabled="#Tassonomia_SoggettoInteressato2.checked()">
          <td>
            <input class="inputNormal" format="date" id="{{ prefix }}_DataNascita" label="Data di nascita soggetto interessato" name="{{ prefix }}_DataNascita" style="width:100%;" readonly/>
          </td>
          <td>
            <select class="inputNormal" id="{{ prefix }}_Sesso" label="Sesso soggetto interessato" name="{{ prefix }}_Sesso" style="width:100%; pointer-events:none;">
              <option value=""></option>
              <option value="M"> M </option>
              <option value="F"> F </option>
            </select>
          </td>
          <td>
            <input class="inputNormal" id="{{ prefix }}_LuogoNascita" label="Luogo di nascita" name="{{ prefix }}_LuogoNascita" style="width:100%;" readonly/>
          </td>				
          <td>
            {{ utils.nazionalita( prefix + '_Cittadinanza', 'Cittadinanza soggetto interessato' )}}
          </td>
        </tr>



        <!-- _FG_20210426 spostato da sopra -->
        {% if titolo_richiedente == 'true'%}
          <tr class="Rigaintestazioneridotta">
            <td colspan="4">
              <p class="Labelcella"> In qualità di (*) </p>
            </td>
          </tr>
          <tr>
            <td colspan="4">
              <select class="inputNormal" id="{{ prefix }}_InQualita" name="{{ prefix }}_InQualita" style="width:100%;" label="Titolo richiedente" mandatory_enabled="#Tassonomia_SoggettoInteressato2.checked()">
                <option value="curatore">curatore</option>
                <option value="esercente responsabilità genitoriale">esercente responsabilità genitoriale</option>
                <option value="familiare">familiare</option>
                <option value="tutore legale">tutore legale</option>
                {% if altro_titolo == 'true'%}
                  <option value="altro titolo">altro titolo</option>
                {% endif %}
              </select>
            </td>
          </tr>
        {% endif %}



      </tbody>
    </table>
    {% if titolo_richiedente == 'true'%}
      <p class="Modulo" style="font-size:80%">
        <i>In qualità di (*)</i>: <br/>
        curatore, esercente responsabilità genitoriale, familiare, tutore legale{% if altro_titolo == 'true'%}, altro titolo{% endif %}
      </p>
    {% endif %}
  </div>  

{%- endmacro %}









{% block title %} Domanda di certificati, copie integrali ed estratti {% endblock title %}

{% block content %}
 <globo_fondo_pagina areaheight="150" scope="2">
 {{ utils.firma() }}
</globo_fondo_pagina>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - Domanda certificati, copie integrali ed estratti'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Domanda di certificati, copie integrali ed estratti
</h1>
<h2 class="Modulo">
  Ai sensi del Decreto del Presidente della Repubblica 30/05/1989, n. 223 e del Decreto del Presidente della Repubblica 03/11/2000, n. 396
</h2>
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
<!-- _FG_20210426 aggiunto parametro mailordinaria_obbligatoria="true"
   anagrafica.persona_fisica("Titolare", "Il sottoscritto", "visibility:visibility", "cursor:pointer", "visibility:visibility", "visibility:visibility", "mail_ordinaria")     -->
{{ anagrafica.persona_fisica("Titolare", "Il sottoscritto", "visibility:visibility", "cursor:pointer", "visibility:visibility", "visibility:visibility", "mail_ordinaria", "", "true", "false", "false", "", "true") }}

<h3 class="Modulo">
  CHIEDE
</h3>
<p class="Modulo">
  a tutela di un proprio interesse giuridicamente rilevante, il rilascio
</p>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
 <!-- _FG_20210426 rimosso 11 tipi di certificato: 1,2,7,8,9,10,11,12,13,14,15  -->
 <!-- {% set zone = ["del certificato di cittadinanza","del certificato di convivenza","del certificato di godimento dei diritti politici","del certificato di matrimonio","del certificato di morte","del certificato di nascita","del certificato di residenza","del certificato di residenza AIRE","del certificato di residenza storico","del certificato di stato libero","del certificato di stato di famiglia","del certificato di stato di famiglia storico","del certificato di unione civile","del certificato di vedovanza","del certificato atipico (specificare i dati oggetto del certificato)","dell'estratto di matrimonio","dell'estratto di matrimonio su modello internazionale plurilingue","dell'estratto di morte","dell'estratto di morte su modello internazionale plurilingue","dell'estratto di nascita","dell'estratto di nascita con paternità e maternità","dell'estratto di nascita su modello internazionale plurilingue"] %} -->
      {% set zone = [                                                                  "del certificato di godimento dei diritti politici","del certificato di matrimonio","del certificato di morte","del certificato di nascita",                                                                                                                                                                                                                                                                                                                                                                           "dell'estratto di matrimonio","dell'estratto di matrimonio su modello internazionale plurilingue","dell'estratto di morte","dell'estratto di morte su modello internazionale plurilingue","dell'estratto di nascita","dell'estratto di nascita con paternità e maternità","dell'estratto di nascita su modello internazionale plurilingue"] %}

      {% for zona in zone %}
      <tr>
        <td style="vertical-align: top; width: 4%;" >
           {% if loop.first %} <div id="Tassonomia_Rilascio" name="Tassonomia_Rilascio" label="Rilascio" mandatory="true"></div> {% endif %}
            <input group="Tassonomia_Rilascio" id="Tassonomia_Rilascio{{ loop.index }}" name="Tassonomia_Rilascio{{ loop.index }}" type="checkbox" value="SI" />
        </td>
        <td ><p>{{ zona }}</p></td>
      </tr>
      {% endfor %}
  </tbody>
</table>

<!-- _FG_ spostato sotto il salto pagina e aggiunto margin-top:-1px; -->
<!-- <globo_salto_pagina></globo_salto_pagina> -->
<table class="Modulo" style="border: 1px solid grey; margin-top:-1px;">
  <tbody>
      {% set zone = ["dell'estratto di unione civile","di copia integrale dell'atto di matrimonio","di copia integrale dell'atto di morte","di copia integrale dell'atto di nascita","di copia integrale dell'atto di unione civile"] %}
      {% for zona in zone %}
      <tr>
        <td style="vertical-align: top; width: 4%;" >
            <input group="Tassonomia_Rilascio" id="Tassonomia_Rilascio3{{ loop.index }}" name="Tassonomia_Rilascio3{{ loop.index }}" type="checkbox" value="SI" />
        </td>
        <td ><p>{{ zona }}</p></td>
      </tr>
      {% endfor %}
      <tr>
        <td rowspan="3" style="vertical-align: top; width: 4%;background-color: white;">
            <input group="Tassonomia_Rilascio" id="Tassonomia_Rilascio40" name="Tassonomia_Rilascio40" type="checkbox" value="SI" />
        </td>
        <td>
          <p>
            altro certificato, estratto o copia integrale 
          </p>
        </td>
      </tr>
      <tr class="Rigaintestazioneridotta">
        <td>
          <p class="Labelcella">
            Specificare
          </p>
        </td>
      </tr>
      <tr>
        <td>
          <input mandatory_enabled="#Tassonomia_Rilascio40.checked()" class="inputNormal" id="Parametri_AltroCertificato" name="Parametri_AltroCertificato" style="width: 100%;" label="Altro certificato" />
        </td>
      </tr>
  </tbody>
</table>


<table class="Modulo" style="border: 1px solid grey;margin-top: -1px;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Data dell’evento
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input class="inputNormal" id="Parametri_DataEvento" name="Parametri_DataEvento" style="width: 100%;" label="Data dell’evento" format="date"/>
      </td>
    </tr>
  </tbody>
</table>

<!-- _FG_ spostato da sopra -->
<globo_salto_pagina></globo_salto_pagina>




<!-- _FG_20210426 sostituito "per il seguente familiare o tutelato" con "per la seguente persona" + modifica macro -->
<!--  anagrafica.soggetto_riferimento_servizi_demografici("AventeTitolo", "per la seguente persona", "per sé stesso", "true", "visibility:visibility", "true")  -->
{{ soggetto_riferimento_servizi_demografici_FG("AventeTitolo", "per la seguente persona", "per sé stesso", "true", "visibility:visibility", "true") }}

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td>
        <p class="Labeltabella">
          ad uso
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Uso del certificato
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <!-- _FG_20210426 aggiunto mandatory="true" -->
        <input class="inputNormal" id="Parametri_UsoCertificato" name="Parametri_UsoCertificato" style="width: 100%;" label="Uso del certificato" mandatory="true" />
      </td>
    </tr>
  </tbody>
</table>


<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazioneridotta">
   <td>
    <p class="Labelcella">
     Eventuali annotazioni
    </p>
   </td>
  </tr>
  <tr>
   <td>
    <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni" style="width:100%;height:5cm;"></textarea>
   </td>
  </tr>
 </tbody>
</table>

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width:3%">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
  <tr>
   <td>
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>


<br/>

{{ utils.trattamento_dati_personali() }}

<br/>

  {{ utils.firma_hidden() }}
  <br/>

<p class="Modulo">
 <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
